#include "config.h"

#define FALSE 0
#define TRUE 1

#define EMPTY 0
#define MONSTER 1
#define TRAP 2
#define BAT 3
#define MAXLEGAL 3 // used to check if an room is compromized.

class LIDL
{
public:
  LIDL(); // A constructor to handel some values that must be set at start
  void info();
  void menu();
  void ending(); //Handels the ending, gameover/win
  int show_done();
  int show_quit();  
  int surroundings();
#ifdef MAPHACK
  int drawmap();
#endif
private:
  void help();
  void move();
  void shoot();
  void quiting();
  int killed();
  int legal_move();
  int legal_shot();
  int room[MAXX][MAXY]; // We are going to have a bigger playground if we add more stuff.
  int shots;
  int wherex, wherey;
  char direction;
  int done;
  int quit;
  char choose; //int choose;
  int points; // score sort of, kill stuff and ern points :)
#ifdef MAPHACK // not neaded if we arent using maphack.
  int minimap[MAXX][MAXY]; // for rendering of the map
#endif
};
