#include "classes.h"
#include "config.h"
#include <iostream>

using namespace std;

/*
 * Killed function checks to see if we where killed by any monsters/bad stuff.
 */

int LIDL::killed() {
#ifdef DEBUG
  cout << "Entering killed.\n";
#endif
  switch(room[wherex][wherey]) {
     case MONSTER: { 
       cout << ("You where killed by LIDL.\n");
       done=1;
       return TRUE;
       break;
     };
       
     case TRAP: {
       int type=rand() % 4;
       switch (type) {
         case 1: {
	    cout << "You fell into a trapdoor and died of starvation.\n";
	    break; 
	  };
	    
         case 2: {
	   cout << "A nasty part of the celling decided to end your life and did soo..\n";
	   break;
	 };

         case 3: {
	   cout << "Oh how nice a trapdoor, well i think you can figure out the rest.\n";
	   break;
	 };

         case 4: {
	   cout << "You hear a wining sound coming closer and closer, well it's an large iron bar under high velocity and you are in its path.\n";
	   break;
	 };
       }
       done=1;
       return TRUE;
       break;
     };

     case BAT: {
       cout << "One of your arrows was eaten alive by fruit eating bats.\nAnd the little pest flew away.\n";
       room[wherex][wherey]= EMPTY;
       shots--;
       break;
     };

     case EMPTY: {
       cout << "The room is empty.\n";
       break;
     };
       
     default: {
       cout << "Aiee, the room has a weird value " << room[wherex][wherey] << endl;
       break;
     };
  }
#ifdef DEBUG
  cout << "Room content: " << room[wherex][wherey] << endl;
#endif
	return FALSE;
}

/*
 * Surrounding checks all rooms around the room we just moved into and prints a warning
 * for each room around us that contains something bad.
 */

int LIDL::surroundings() {
  if (done != 1)
    {
      int x,y;
#ifdef DEBUG
      printf("Entering surroundings.\n");
#endif
      for (x = -1; x <= 1; x = x+1)
	{
	  if (x>=0 && x<=MAXX)
#ifdef DEBUG
	    printf("Entering x loop.\n");
#endif
	  for (y = -1; y <= 1; y = y+1)
	    {
#ifdef DEBUG
	      printf("Checking room[%i][%i] = %i\n", wherex+x, wherey+y, room[wherex+x][wherey+y]);
#endif
	      
// #ifdef MAPHACK
// 	/* add room data too the map */
// 	if (x>=0 and y>=0) {
// 	  map[x][y] = room[wherex+x-1][wherey+y-1];
// 	} else {
// 	  if (!(x>=0)) {
// 	    x = 0;
// 	  } else {
// 	    y = 0;
// 	  }
// 	      map[x][y] = 0; /* it's outside the field soo it's solid rock. */
// 	}
// #ifdef DEBUG
// 	printf("map[%i][%i] = %i\n",x,y,room[wherex+x][wherey+y]);
// #endif
// #endif

	      if (room[wherex+x][wherey+y] != EMPTY && wherex+x<=MAXX and wherex+x>0 and wherey+y<=MAXY and wherey+y>0)
		{
		  if (room[wherex+x][wherey+y] == MONSTER)
		    {
		      printf("You feel a gust of wind carrying the smell of rotting meat.\n The monster is near.\n");
		    }		  
		  else if (room[wherex+x][wherey+y] == TRAP)
		    {
		    //printf("You feel the smell of plastic roses. The plant department is close.\n"); // We do not want people to know that they might die!
		    }		  
		  else if (room[wherex+x][wherey+y] == BAT)
		    {		    
		      printf("The sweet smell of fruit warns you. The fruit eating bats are close.\n");
		    }
		  else
		    {
		      printf("Aiee, bad value in room %i, %i, value: %i\n", wherex+x, wherey+y, room[wherex+x][wherey+y]);
		    }
		}
	    }
	}
    }
  return 0;
}



#ifdef MAPHACK
int LIDL::drawmap() {
  /* This rutine draw's an 3x3 "nethack":ish map
     @ = The player
     # = Wall
     M = Lidl badie monster thing
     B = Frutbat
     . = Ground
     
     Traps arent shown ;)
  */

  int x,y;
  printf("  ");
  /* Print the Y values */
  for (y = 0; y <= MAXY; y++) {
    printf("%i",y);
  }
  
  /* Genereate the line */
  printf("\n +");
  for (y = 0; y <= MAXY; y++) {
    printf("-");
  }
  printf("+\n");

  for (x = MAXX; x >= 0; x--) {
    printf("%i|",x);
    for (y = 0; y <= MAXY; y++) {

      if (x == wherex and y == wherey) {
	printf("@"); /* <- REMEMBER HIM? */
      } else {
	if ( room[x][y] == EMPTY ) {
	  printf(".");
	}
	else if ( room[x][y] == MONSTER ) {
	  printf("M");
	}
	else if ( room[x][y] == BAT ) {
	  printf("B");
	}
	else if ( room[x][y] == TRAP ) {
	  // not telling
	  printf(".");
	}
	else {
	  printf("#"); /*all other might be walls (i hope) */
	}
      }
    }
    printf("|\n");
  }
  
  /* Genereate the line */
  printf(" +");
  for (y = 0; y <= MAXY; y++) {
    printf("-");
  }
  printf("+\n");
  
  return 0;
}
#endif
//   cout << "\n";
//   for (x = 0; x < 3; x++) {
//     for (y = 0; y < 3; y++) {
//       if (x==1 and y==1) {
// 	printf("@"); /* <- REMEMBER HIM? */
//       } else {
// 	if ( map[x][y] == EMPTY ) {
// 	  printf(".");
// 	}
// 	else if ( map[x][y] == MONSTER ) {
// 	  printf("M");
// 	}
// 	else if ( map[x][y] == BAT ) {
// 	  printf("B");
// 	}
// 	else {
// 	  printf("#"); /*all other might be walls (i hope) */
// 	}
//       }
//     }
//     printf("\n");
//   }
//   return 0;
// }
// #endif
